Name:           jurand
Version:        1.3.5
Release:        %mkrel 2
Summary:        A tool for manipulating Java symbols
Group:          Development/Java
License:        Apache-2.0
URL:            https://github.com/fedora-java/jurand

Source0:        https://github.com/fedora-java/jurand/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++

BuildRequires:  diffutils
BuildRequires:  make
BuildRequires:  ruby-asciidoctor

#Obsoletes:      javapackages-extra < 6.2.0

%description
The tool can be used for patching .java sources in cases where using sed is
insufficient due to Java language syntax. The tool follows Java language rules
rather than applying simple regular expressions on the source code.

%prep
%autosetup -p1

# mageia specific fix for manpages
sed -i 's|.gz|.xz|' install.sh

%build
%{make_build} test-compile manpages

%install
export buildroot=%{buildroot}
export bindir=%{_bindir}
export rpmmacrodir=%{_rpmmacrodir}
export mandir=%{_mandir}

./install.sh

%check
make test

%files -f target/installed_files
%dir %{_rpmconfigdir}
%dir %{_rpmmacrodir}
%license LICENSE NOTICE
%doc README.adoc



%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.3.5-2.mga10
+ Revision: 2234075
- Mageia 10 Mass Rebuild

* Sat Jan 18 2025 daviddavid <daviddavid> 1.3.5-1.mga10
+ Revision: 2139809
- new version: 1.3.5

* Fri Aug 30 2024 daviddavid <daviddavid> 1.3.3-1.mga10
+ Revision: 2092278
- Update to upstream version 1.3.3

* Thu Nov 23 2023 daviddavid <daviddavid> 1.3.2-1.mga10
+ Revision: 2009380
- new version: 1.3.2

* Thu Sep 14 2023 daviddavid <daviddavid> 1.3.1-1.mga10
+ Revision: 1986434
- mageiaify
- imported package jurand


* Wed Aug 30 2023 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.3.1-3
- Obsolete javapackages-extra

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Mar 23 2023 Marian Koncek <mkoncek@redhat.com> - 1.3.1-1
- Update to upstream version 1.3.1

* Wed Mar 15 2023 Marian Koncek <mkoncek@redhat.com> - 1.3.0-1
- Update to upstream version 1.3.0

* Wed Mar 08 2023 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.0-2
- Skip interface keyword as annotation in name matching only

* Wed Mar 08 2023 Marian Koncek <mkoncek@redhat.com> - 1.2.0-1
- Update to upstream version 1.2.0

* Tue Mar 07 2023 Marian Koncek <mkoncek@redhat.com> - 1.1.0-1
- Update to upstream version 1.1.0

* Fri Mar 03 2023 Marian Koncek <mkoncek@redhat.com> - 1.0.2-1
- Update to upstream version 1.0.2

* Wed Mar 01 2023 Marian Koncek <mkoncek@redhat.com> - 1.0.0-1
- Initial build
